<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <groupId>org.eclipse.jetty</groupId>
    <artifactId>jetty-project</artifactId>
    <version>9.4.41.v20210516</version>
  </parent>

  <modelVersion>4.0.0</modelVersion>
  <groupId>org.eclipse.jetty.examples</groupId>
  <artifactId>examples-parent</artifactId>
  <name>Jetty Examples :: Parent</name>
  <packaging>pom</packaging>

  <properties>
    <sonar.skip>true</sonar.skip>
    <spotbugs.skip>true</spotbugs.skip>
  </properties>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-deploy-plugin</artifactId>
        <configuration>
          <!-- No point deploying example projects -->
          <skip>true</skip>
        </configuration>
      </plugin>
    </plugins>
  </build>

  <modules>
    <!--
    - The async-rest and embedded are examples that have historical locations,
    - new ones should appear nested under o.e.jetty.examples groupId
    -->
    <module>async-rest</module>
    <module>embedded</module>
  </modules>
</project>
